#!/bin/bash

# variables
APACHE_ENABLED_SITES="/etc/apache2/sites-enabled"
VAR_LIST="LLX_WWW_PATH LLX_AVAILABLE_PATH"
SITE_CONF="http/site-conf"
SITE_CONF_SSL="http/site-conf-ssl"
SITE_LIST="dns/alias/00/http-sites"
SITE_LIST_SSL="dns/alias/00/http-sites-ssl"
DEFAULT_CONF="http/config"
#DEFAULT_CONF_WWW="http/www"
# read llxcfg VARIABLES
eval `/usr/sbin/llxcfg-showvars ${VAR_LIST}`

#  test
[ "${LLX_AVAILABLE_PATH}" ] || LLX_AVAILABLE_PATH="/etc/apache2/sites-available/lliurex"

# functions
http_list(){
   llxcfg-config listfiles "$SITE_LIST" |while read SITE_FILE ; do
      head -1 "$SITE_FILE"
   done
}

http_list_sites(){
   http_list |tr "\n" " "
}

http_list_ssl(){
   llxcfg-config listfiles "$SITE_LIST_SSL" |while read SITE_FILE ; do
      head -1 "$SITE_FILE"
   done
}

http_list_sites_ssl(){
   http_list_ssl |tr "\n" " "
}
